# This is the configurationfile for DOSBox 0.72.
# Lines starting with a # are commentlines.
# They are used to (briefly) document the effect of each option.

[sdl]
#       fullscreen: Start dosbox directly in fullscreen.
#       fulldouble: Use double buffering in fullscreen.
#   fullresolution: What resolution to use for fullscreen: original or fixed size (e.g. 1024x768).
# windowresolution: Scale the window to this size IF the output device supports hardware scaling.
#           output: What video system to use for output.
#                   Possible values: surface, overlay, opengl, openglnb, ddraw
#         autolock: Mouse will automatically lock, if you click on the screen.
#      sensitivity: Mouse sensitivity.
#      waitonerror: Wait before closing the console if dosbox has an error.
#         priority: Priority levels for dosbox. Second entry behind the comma is for when dosbox is not focused/minimized. (pause is only valid for the second entry)
#                   Possible values: lowest, lower, normal, higher, highest, pause
#       mapperfile: File used to load/save the key/event mappings from.
#     usescancodes: Avoid usage of symkeys, might not work on all operating systems.

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=ddraw
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper.txt
usescancodes=true

[dosbox]
# language: Select another language file.
#  machine: The type of machine tries to emulate.
#           Possible values: hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe
# captures: Directory where things like wave, midi, screenshot get captured.
#  memsize: Amount of memory DOSBox has in megabytes.

language=
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: How many frames DOSBox skips before drawing one.
#    aspect: Do aspect correction, if your output method doesn't support scaling this can slow things down!.
#    scaler: Scaler used to enlarge/enhance low resolution modes. If 'forced' is appended,the scaler will be used even if the result might not be desired.
#            Possible values: none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x

frameskip=0
aspect=false
scaler=normal2x

[vsync]
# vsyncmode: vsyncmode -- Synchronize vsync timing to the host display. Requires calibration within dosbox.
#                         Supported are off,on,force,host.
#            
# vsyncrate: vsyncrate -- Vsync rate used if vsync is enabled.
#                         Ignored if vsycmode=host.
#            

vsyncmode=off
vsyncrate=75

[cpu]
#      core: CPU Core used in emulation. auto will switch to dynamic if available and appropriate.
#            Possible values: auto, dynamic, normal, full, simple
#   cputype: CPU Type used in emulation. auto is the fastest choice.
#            Possible values: auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch
#    cycles: Amount of instructions DOSBox tries to emulate each millisecond. Setting this value too high results in sound dropouts and lags. Cycles can be set in 3 ways:
#              'auto'          tries to guess what a game needs.
#                              It usually works, but can fail for certain games.
#              'fixed #number' will set a fixed amount of cycles. This is what you usually need if 'auto' fails.
#                              (Example: fixed 4000)
#              'max'           will allocate as much cycles as your computer is able to handle
#            
#            Possible values: auto, fixed, max
#   cycleup: Amount of cycles to increase/decrease with keycombo.
# cycledown: Setting it lower than 100 will be a percentage.

core=auto
cputype=auto
cycles=auto
cycleup=500
cycledown=20

[mixer]
#   nosound: Enable silent mode, sound is still emulated though.
#      rate: Mixer sample rate, setting any devices higher than this will probably lower their sound quality.
#            Possible values: 22050, 44100, 48000, 32000, 16000, 11025, 8000
# blocksize: Mixer block size, larger blocks might help sound stuttering but sound will also be more lagged.
#            Possible values: 2048, 4096, 8192, 1024, 512, 256
# prebuffer: How many milliseconds of data to keep on top of the blocksize.

nosound=false
rate=22050
blocksize=2048
prebuffer=10

[midi]
# mpu401: Type of MPU-401 to emulate.
#         Possible values: intelligent, uart, none
# device: Device that will receive the MIDI data from MPU-401.
#         Possible values: default, win32, alsa, oss, coreaudio, coremidi, none
# config: Special configuration options for the device driver. This is usually the id of the device you want to use. See README for details.

mpu401=intelligent
device=default
config=

[sblaster]
#  sbtype: Type of sblaster to emulate.
#          Possible values: sb1, sb2, sbpro1, sbpro2, sb16, none
#  sbbase: The IO address of the soundblaster.
#          Possible values: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300
#     irq: The IRQ number of the soundblaster.
#          Possible values: 7, 5, 3, 9, 10, 11, 12
#     dma: The DMA number of the soundblaster.
#          Possible values: 1, 5, 0, 3, 6, 7
#    hdma: The High DMA number of the soundblaster.
#          Possible values: 1, 5, 0, 3, 6, 7
#   mixer: Allow the soundblaster mixer to modify the DOSBox mixer.
# oplmode: Type of OPL emulation. On 'auto' the mode is determined by sblaster type. All OPL modes are Adlib-compatible, except for 'cms'.
#          Possible values: auto, cms, opl2, dualopl2, opl3, none
# oplrate: Sample rate of OPL music emulation.
#          Possible values: 22050, 44100, 48000, 32000, 16000, 11025, 8000

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
mixer=true
oplmode=auto
oplrate=22050

[gus]
#      gus: Enable the Gravis Ultrasound emulation.
#  gusrate: Sample rate of Ultrasound emulation.
#           Possible values: 22050, 44100, 48000, 32000, 16000, 11025, 8000
#  gusbase: The IO addresses of the Gravis Ultrasound.
#           Possible values: 220, 240, 260, 280, 2a0, 2c0, 2e0, 300
#     irq1: The first IRQ number of the Gravis Ultrasound. (Same IRQs are OK.)
#           Possible values: 3, 5, 7, 9, 10, 11, 12
#     irq2: The second IRQ number of the Gravis Ultrasound. (Same IRQs are OK.)
#           Possible values: 3, 5, 7, 9, 10, 11, 12
#     dma1: The first DMA addresses of the Gravis Ultrasound. (Same DMAs are OK.)
#           Possible values: 0, 1, 3, 5, 6, 7
#     dma2: The second DMA addresses of the Gravis Ultrasound. (Same DMAs are OK.)
#           Possible values: 0, 1, 3, 5, 6, 7
# ultradir: Path to Ultrasound directory. In this directory
#           there should be a MIDI directory that contains
#           the patch files for GUS playback. Patch sets used
#           with Timidity should work fine.

gus=true
gusrate=22050
gusbase=240
irq1=5
irq2=5
dma1=3
dma2=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Enable PC-Speaker emulation.
#    pcrate: Sample rate of the PC-Speaker sound generation.
#            Possible values: 22050, 44100, 48000, 32000, 16000, 11025, 8000
#     tandy: Enable Tandy Sound System emulation. For 'auto', emulation is present only if machine is set to 'tandy'.
#            Possible values: auto, on, off
# tandyrate: Sample rate of the Tandy 3-Voice generation.
#            Possible values: 22050, 44100, 48000, 32000, 16000, 11025, 8000
#    disney: Enable Disney Sound Source emulation. (Covox Voice Master and Speech Thing compatible).

pcspeaker=true
pcrate=22050
tandy=auto
tandyrate=22050
disney=true

[joystick]
# joysticktype: Type of joystick to emulate: auto (default), none,
#               2axis (supports two joysticks),
#               4axis (supports one joystick, first joystick used),
#               4axis_2 (supports one joystick, second joystick used),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none disables joystick emulation.
#               auto chooses emulation depending on real joystick(s).
#               Possible values: auto, 2axis, 4axis, 4axis_2, fcs, ch, none
#        timed: enable timed intervals for axis. (false is old style behaviour).
#     autofire: continuously fires as long as you keep the button pressed.
#       swap34: swap the 3rd and the 4th axis. can be useful for certain joysticks.
#   buttonwrap: enable button wrapping at the number of emulated buttons.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=true

[serial]
# serial1: set type of device connected to com port.
#          Can be disabled, dummy, modem, nullmodem, directserial.
#          Additional parameters must be in the same line in the form of
#          parameter:value. Parameter for all types is irq.
#          for directserial: realport (required), rxdelay (optional).
#                           (realport:COM1 realport:ttyS0).
#          for modem: listenport (optional).
#          for nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (all optional).
#          Example: serial1=modem listenport:5000
#          Possible values: dummy, disabled, modem, nullmodem, directserial
# serial2: see serial1
#          Possible values: dummy, disabled, modem, nullmodem, directserial
# serial3: see serial1
#          Possible values: dummy, disabled, modem, nullmodem, directserial
# serial4: see serial1
#          Possible values: dummy, disabled, modem, nullmodem, directserial

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[glide]
#  glide: Enable glide emulation: true,false.
# grport: I/O port to use for host communication.
#    lfb: LFB access: full,read,write,none.

glide=false
grport=600
lfb=full

[dos]
#            xms: Enable XMS support.
#            ems: Enable EMS support.
#            umb: Enable UMB support.
#      automount: Enable automatic mount.
# keyboardlayout: Language code of the keyboard layout (or none).

xms=true
ems=true
umb=true
automount=true
keyboardlayout=none

[ipx]
# ipx: Enable ipx over UDP/IP emulation.

ipx=false

[autoexec]
# Lines in this section will be run at startup.
mount c .\KH
c:
AKH

